<template>
    <div class="title-wrapper">
        <h1 class="title">{{ quiz.title }}</h1>
        <p class="subtitle">{{ quiz.subtitle }}</p>
    </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import type { Quiz } from "@/types/Quiz/Quiz";

export default defineComponent({
    name: "Title",
    props: {
        quiz: {
            type: Object as () => Quiz,
            required: true,
        },
    },
});
</script>

<style lang="scss" scoped>
.title-wrapper {
    margin-bottom: 30px;

    .title {
        font-size: 32px;
        color: RGB(0, 225, 105);
    }
    .subtitle {
        margin-top: -15px;
    }
}
</style>
